#!/bin/bash

IMG="iesclinux.png"

function launch()
{
ans=$(yad --list --title="Software Launcher" \
--window-icon="foobillard.jpg" \
--image=$IMG \
--width=800 \
--height=400 \
--button="Run:0" \
--button="Exit:2" \
--column="Program" --column="Description" \
    "Armagetron" "Jeu en 3D tiré du film TRON où chaque moto construit un mur derrière elle." \
    "Cube" "Jeu de tir en réseau, qui se distingue par une fluidité exemplaire." \
    "Flobopuyo" "FloboPuyo est un clone du célèbre PuyoPuyo, un jeu de réflexion ayant Tetris pour inspiration." \
    "Foo Billard" "FooBillard est un magnifique jeu de Billard en OpenGL." \
    "Fun Racing" "Funracing est un jeu de course en 2D vue de dessus." \
    "GL-117" "GL-117 se place dans la catégorie des simulateurs de combat aérien de type arcade" \
    "Open Alchemist" "Open Alchemist est un tetris-like qui tire son concept d'un jeu flash de Motion-Twin"\
    "Pengupop" "Le but du jeu est de faire tomber des balles grâce à un canon à balle."\
    "Puzzles" "une compilation de jeux de type solitaire ou encore du bien connu démineur"\
    "Sudoku" "Un jeu en forme de grille défini en 1979 par l’Américain Howard Garns." \
    "Torus Trooper" "Un vaisseau, un tors (un tube qui tourne...) des armes, des ennemis et surtout, de la viteeeeesse !" \
    "Transcend" "Vous pilotez une sorte de vaisseau qui s'efforce d'éliminer les vaisseaux ennemis"\
    "Yoda Soccer" "Un jeu inspiré de Sensible Word Of Soccer (SWOS), jeu de football en 2D."
    )
ret=$?
test_ans
}

#--button="Info:1" \

function test_ans()
{
echo $ret
case $ans in
    "Armagetron"*) 
    	export IMG="armagetronad.jpg"
    	export cmd="armagetronad" 
    	info=""
    	start
    	;;
    "Cube"*) 
    	export IMG="cube.jpg"
    	export cmd="cube" 
    	info=""
    	start
    	;;
    "Flobopuyo"*) 
    	export IMG=".jpg"
    	export cmd="flobopuyo -win" 
    	info=""
    	start
    	;;
    "Foo Billard"*) 
    	export IMG="foobillard.jpg"
    	export cmd="foobillard" 
    	info=""
    	start
     	;;
    "Fun Racing"*) 
    	export IMG="funracing.png"
    	export cmd="funracing" 
    	info="Funracing est un jeu de course en 2D vue de dessus \ninspiré de Burning Metal 2D de EyeOne et réalisé en C par Clément S. à l'aide de la librairie SDL. Le but est simple, finir à la première place dans tous les circuits. Le jeu permet de jouer jusqu'à quatre en multi-joueurs avec des bots. Ce qui est intéressant c'est le fait de pouvoir jouer à plusieurs, les collisions et la possibilité de jouer avec jusqu'à 15 bots.(source site officiel) Malheureusement, voilà un jeu réalisé par un francophone qui n'est pas traduit en français."
     	start
     	;;
    "GL-117"*) 
    	export IMG=".jpg"
    	export cmd="gl-117" 
    	info=""
    	start
    	;;
    "Open Alchemist"*) 
    	export IMG=".jpg"
    	export cmd="openalchemist" 
    	info=""
    	start
    	;;
    "Pengupop"*) 
    	export IMG=".jpg"
    	export cmd="pengupop -w" 
    	info=""
    	start
    	;;
    "Puzzles"*) 
    	export IMG=".jpg"
    	export cmd="mines" 
    	info=""
    	start
    	;;
    "Sudoku"*) 
    	export IMG=".jpg"
    	export cmd="sudokuki" 
    	info=""
    	start
    	;;
    "Torus Trooper"*) 
    	export IMG=".jpg"
    	export cmd="torustrooper -window" 
    	info=""
    	start
    	;;
    "Transcend"*) 
    	export IMG=".jpg"
    	export cmd="transcend" 
    	info=""
    	start
    	;;
    "Flobopuyo"*) 
    	export IMG=".jpg"
    	export cmd="flobopuyo" 
    	info=""
    	start
    	;;
    "Yoda Soccer"*) 
    	export IMG=".jpg"
    	export cmd="yoda-soccer" 
    	info=""
    	start
    	;;
    "truc"*) 
    	export IMG=".jpg"
    	export cmd="flobopuyo" 
    	info=""
    	start
    	;;
    *) exit 1 ;;        
esac
}

function screenshot()
{
screen=$(yad --list --title="Screenshot" \
--image=$IMG \
--width=600 \
--height=300 \
--button="Run:0" \
--button="Cancel:1" \
--text=$info)
ret2=$?
}




function start()
{
	
	case $ret in
    2)
        exit 0
        ;;
    1)
        echo "screenschot"
		eval exec screenshot
        ;;
    0)
        echo "starting game..."
		eval exec $cmd
        ;;
    *)
        exit 0
        ;;
esac





}

while true; do
	launch
done



